openapi: 3.0.0
info:
  title: Market Alerts API
  description: "This document describes Autochartist Trading Opportunities.\n\n# API Request Authentication\n\nOur APIs require\
    \ the following url parameters on every call:\n\n_**broker**_**id** – your customer ID on our systems (provided to you)\
    \  \n_**user**_ – a unique ID of the end-user consuming the information. For server-2-Server integrations this would typically\
    \ be your company name  \n_**accounttype**_ – 0 = LIVE, 1 = DEMO  \n**expiry** _– Unix timestamp of when this token will\
    \ expire__________**token**_ – a token generated by MD5(user|\\[accounttype\\]|\\[expiry\\]\\[secretkey\\])\n\nin which\
    \ _secretkey_ is the secret key provided to you, not to be shared with the end-user\n\nNote the ‘|’ (Pipe) character before\
    \ and after the AccountType parameter\n\n``` php\n$expiryDate = time() + (3 * 24 * 60 * 60);\n$userid = “myuserid”;\n\
    $accountType = “0”;\n$secretKey = “secretkey”;\n$token = md5(“${userid}|${accountType}|${expiryDate}${secretKey }”);\n\
    echo $token;\n?>\n\n ```\n\n``` python\nimport hashlib\nimport time\nexpiry_date = int(time.time()) + (3 * 24 * 60 * 60)\n\
    userid = \"myuserid\"\naccount_type = \"0\"\nsecret_key = \"secretkey\"\ntoken = hashlib.md5(f\"{userid}|{account_type}|{expiry_date}{secret_key}\"\
    .encode(\"utf-8\")).hexdigest()\nprint(token)\n\n ```"
  version: 1.0.0
servers:
- url: https://component.autochartist.com
- url: https://api.autochartist.com
paths:
  /ma/resources/results:
    get:
      tags:
      - Market Alerts
      summary: Market alerts
      description: "Returns latest pattern results for the specified symbol group category.\n\nUser configuration is used\
        \ to limit the pattern results search. The pattern search criteria include the following information:\n\n- patterns\n\
        \    \n- pattern results\n    \n- symbols\n    \n- intervals\n    \n- exchanges\n    \n- age - number of candles\n\
        \    \n- candles delay - For demo accounts, any pattern result with age less than 5 is excluded from the results.\n\
        \    \n\n#### Return format\n\n- **Status 200** - application/json - latest pattern results.\n    \n- The JSON object\
        \ includes the following keys:\n    \n    - **page** - pagination configuration for pagination links.\n        \n\
        \    - **items** - a list of pattern result items.\n        \n        - **new** - indicate whether the data has been\
        \ updated since the last request if any.\n            \n        - **data** - pattern result item - see \"Fields\"\
        \ below\n            \n        - **links** - an array of HATEOAS links for chart pattern images of different sizes\
        \ displaying the price graph for the pattern result.\n            \n\n#### Fields\n\nNote that some of the fields\
        \ below may not be applicable to all analysis types.\n\n- **result_type** - The type of trade setup\n    \n- **result_uid**\
        \ - Internal unique identification numbers\n    \n- **direction** - The direction of the forecast\n    \n- **prediction_price_from**\
        \ - The start of the forecast range\n    \n- **prediction_price_to** - The end of the forecast range\n    \n- **pip**\
        \ - The size of a pip for this instrument\n    \n- **exchange** - The exchange to which this symbol belongs\n    \n\
        - **group_name** - The logical group to which this symbol belongs\n    \n- **symbol** - The TICKER\n    \n- **symbol_name**\
        \ - The long name of the symbol\n    \n- **symbol_id** - Internal symbolID (ignore)\n    \n- **interval** - The data\
        \ interval on which this trade setup was identified\n    \n- **pattern** - The name of the trade setup. If multiple\
        \ locales are specified then this field will be an array\n    \n- **pattern_list** - If multiple locales are specified\
        \ then this field will be an array of language specific pattern names\n    \n- **complete** - false when this trade\
        \ setup is not yet fully formed. otherwise True.\n    \n- **identified** - Date/Time when this trade setup was identified\n\
        \    \n- **age** - The age in candles of the trade setup (difference between the current date and the identified date,\
        \ divided by the 'interval')\n    \n- **length** - The number of candles forming this trade setup\n    \n- **found**\
        \ - Internal timestamp. Ignore.\n    \n- **analysis_text** - Text that describes the identified trade setup.\n   \
        \ \n- **analysis_text_list** - If multiple locales are specified then this field will be an array of language specific\
        \ analysis_text\n    \n- **analysis_text_template** - Text that describes the identified trade setup but the date\
        \ portion of the text will be replaced be the {identified} identifier. This allows developers to customize the text\
        \ for different timezones. If multiple locales are specified then this field will be an array\n    \n- **expires_at**\
        \ - A maximum date/time when this setup should be expired\n    \n- **details** - will only be returned if the parameter\
        \ \"include_detail\" is set to true. For information about this field see the section \"Get pattern result details\"\
        \n    \n- **drawing** - will only be returned if the parameter \"include_drawing\" is set to true. For information\
        \ about this field see the section \"Get pattern result drawing data\"\n    \n\n#### Requires authentication\n\nA\
        \ valid request with an authorized MD5 token will be accepted"
      parameters:
      - name: timezone
        in: query
        schema:
          type: string
        example: '{{timezone}}'
      - name: locale
        in: query
        schema:
          type: string
        example: '{{locale}}'
      - name: locales
        in: query
        schema:
          type: string
        example: '{{locales}}'
      - name: broker_id
        in: query
        schema:
          type: string
        example: '{{broker_id}}'
      - name: group
        in: query
        schema:
          type: string
        example: '{{group}}'
      - name: token
        in: query
        schema:
          type: string
        example: '{{token}}'
      - name: user
        in: query
        schema:
          type: string
        example: '{{user}}'
      - name: expire
        in: query
        schema:
          type: string
        example: '{{expire}}'
      - name: account_type
        in: query
        schema:
          type: string
        example: '{{account_type}}'
      - name: include_detail
        in: query
        schema:
          type: string
        example: '{{include_detail}}'
      - name: include_drawing
        in: query
        schema:
          type: string
        example: '{{include_drawing}}'
      - name: page_limit
        in: query
        schema:
          type: string
        example: '{{page_limit}}'
      - name: page_offset
        in: query
        schema:
          type: string
        description: page start index. Default is 0.
      - name: since
        in: query
        schema:
          type: string
        description: excludes pattern result items identified before it's date/time value.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
                date: '2025-11-28T13:56:41.217Z'
                query:
                  pattern_types: []
                  pattern_categories:
                  - name: ConsecutiveCandles
                  - name: BigMovement
                  - name: RoundNumbers
                    types:
                    - approach
                    - breakout
                  symbols:
                  - NZDUSD
                  - EURGBP
                  - EURJPY
                  - GBPCHF
                  - USDCHF
                  - EURCHF
                  - AUDCAD
                  - AUDUSD
                  - AUDNZD
                  - USDJPY
                  - GBPJPY
                  - EURCAD
                  - EURUSD
                  - USDZAR
                  - AUDJPY
                  - EURAUD
                  - USDCAD
                  - CHFJPY
                  - GBPUSD
                  - LTCUSD
                  - BTCUSD
                  - ETHUSD
                  - Netflix
                  - Paypal
                  - Google
                  - Adobe Systems Incorporated
                  - Advanced Micro Devices
                  - Exxon Mobil
                  - Pfizer
                  - Visa
                  - Alibaba
                  - Intel
                  - Microsoft Corporation
                  - Nike
                  - Nvidia
                  - Apple
                  - Baidu
                  - Meta Platforms
                  - Moderna
                  - Tesla
                  - Chevron
                  - Amazon
                  - Broadcom
                  - Silver Spot
                  - US Crude Oil
                  - Brent Crude
                  - Natural Gas
                  - Gold Spot
                  - CAC 40
                  - ASX 225
                  - DAX 40
                  - FTSE 100
                  - DOW 30
                  - Nikkei 225
                  - US 500
                  - USDJPY
                  - LTCUSD
                  - EURUSD
                  - BTCUSD
                  - FTSE 100
                  - US Crude Oil
                  - Brent Crude
                  - ETHUSD
                  - Gold Spot
                  - US 500
                  exchanges: []
                  patterns: []
                  intervals:
                  - 240
                  - 1440
                  - 60
                  - 30
                  - 15
                  types:
                  - breakout
                  - approach
                  candles: 0
                  candles_delay: 0
                  page_limit: 20
                  page_offset: 0
                  relevant_only: true
                  MaxPatternLength: 0
                  require_pips: false
                  use_old_result_uid: false
                page:
                  number: 1
                  limit: 20
                  offset: 0
                  total_items: 1
                  total_pages: 1
                  links:
                  - rel: first
                    href: https://component.autochartist.com/ma/resources/results?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&page_offset=0&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb
                    display: '<<'
                    enabled: false
                  - rel: prev
                    href: https://component.autochartist.com/ma/resources/results?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&page_offset=0&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb
                    display: <
                    enabled: false
                  - rel: pages[0]
                    href: https://component.autochartist.com/ma/resources/results?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&page_offset=0&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb
                    display: '1'
                    enabled: false
                    active: true
                  - rel: next
                    href: https://component.autochartist.com/ma/resources/results?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&page_offset=0&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb
                    display: '>'
                    enabled: false
                  - rel: last
                    href: https://component.autochartist.com/ma/resources/results?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&page_offset=0&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb
                    display: '>>'
                    enabled: false
                items:
                - new: false
                  data:
                    result_type: ConsecutiveCandles
                    result_uid: 607233189843523100
                    direction: -1
                    prediction_price_from: 0
                    prediction_price_to: 0
                    pip: 0
                    exchange: TEI
                    group_name: Indices
                    symbol: DOW 30
                    symbol_name: DOW JONES 30 Industrials
                    symbol_id: 525055074115569100
                    interval: 1440
                    pattern: Consecutive Candles
                    complete: true
                    identified: '2025-11-28T00:00:00.000Z'
                    age: 0
                    length: 6
                    found: '2025-11-28T07:21:19.123Z'
                    analysis_text: INDU.IND experienced 6 consecutive bullish candles. Possible bearish price movement to
                      follow.
                    locale_list: []
                    expires_at: '2025-11-28T23:44:14.046Z'
                    signal_levels:
                      entry_level: 47522.66
                      stop_loss: 48354.36
                      target_level: 47106.81
                      target_period: 1 hour
                      target_period_in_min: -440
                    detail:
                      from_price: 45859.26
                      to_price: 47522.66
                      qty_candles: 6
                      statistical_qty_candles: 6
                      percentile: 0.980000019073486
                      symbol: INDU.IND
                      granularity: 1440
                      direction: -1
                      length: 6
                      complete: false
                      exchange: TEI
                      age: 0
                      relevant: 1
                      pattern_id: 0
                      symbol_id: 525055074115569100
                      long_name: DOW JONES 30 Industrials
                      short_name: DOW JONES 30 Industrials
                      pattern_end_time: '2025-11-27T00:00:00.000Z'
                      pattern_start_time: '2025-11-21T00:00:00.000Z'
                      pattern_name: Consecutive Candles
                      result_uid: 607233189843523100
                      is_new: false
                      prediction_pip_profit: 0
                      forecast_minutes: 1440
                      symbol_pip: '0.01'
                      use_exact_pattern_end_time: true
                      use_exact_pattern_start_time: true
                    drawing:
                      symbol: INDU.IND
                      arrow:
                      - point2Name: null
                        y1: 47522.66
                        name: Arrow Line
                        x1: 1764288000
                        y2: 46612.025
                        x2: 1764374400
                        point1Name: null
                      length: 6
                      timeZone: UTC
                      forecast: null
                      timeFrame:
                        from: 1763078400
                        to: 1764460800
                      originalLines: []
                      eventLine:
                        point2Name: null
                        y1: 49418.88
                        name: Event Line
                        x1: 1764288000
                        y2: 43955.07
                        x2: 1764288000
                        point1Name: null
                      chartType: CONSECUTIVE_CANDLES
                      interval: 1440
                      lines:
                      - point2Name: null
                        y1: 47597.61
                        name: Consecutive Candles Rectangle
                        x1: 1763683200
                        y2: 47597.61
                        x2: 1764288000
                        point1Name: null
                      - point2Name: null
                        y1: 47597.61
                        name: Consecutive Candles Rectangle
                        x1: 1764288000
                        y2: 45776.34
                        x2: 1764288000
                        point1Name: null
                      - point2Name: null
                        y1: 45776.34
                        name: Consecutive Candles Rectangle
                        x1: 1764288000
                        y2: 45776.34
                        x2: 1763683200
                        point1Name: null
                      - point2Name: null
                        y1: 45776.34
                        name: Consecutive Candles Rectangle
                        x1: 1763683200
                        y2: 47597.61
                        x2: 1763683200
                        point1Name: null
                      priceRange:
                        low: 45776.34
                        to: 47597.61
                      direction: BEARISH
                      predictionRectangle: null
                    symbol_pip: '0.01'
                  links:
                  - rel: detail
                    href: https://component.autochartist.com/ma/resources/results/detail/ConsecutiveCandles/607233189843523105?account_type=LIVE&include_drawing=true&broker_id=916&broker_id=916&expire=1765576800&include_detail=true&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb
                  - rel: drawing-data
                    href: https://component.autochartist.com/ma/resources/results/detail/drawing-data/ConsecutiveCandles/607233189843523105?account_type=LIVE&broker_id=916&expire=1765576800&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb
                  - rel: analysis
                    href: https://component.autochartist.com/ma/resources/results/analysis/ConsecutiveCandles/607233189843523105?account_type=LIVE&broker_id=916&token=0269f1f4344e48057ef85f933fb235cb&expire=1765576800&user=iazbel@onezero.com&locale=en&include_drawing=true&include_detail=true
                  - rel: chart-xs
                    href: https://component.autochartist.com/ma/resources/charts/ConsecutiveCandles_607233189843523105.png?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb&width=240&height=180
                  - rel: chart-sm
                    href: https://component.autochartist.com/ma/resources/charts/ConsecutiveCandles_607233189843523105.png?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb&width=340&height=240
                  - rel: chart-md
                    href: https://component.autochartist.com/ma/resources/charts/ConsecutiveCandles_607233189843523105.png?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb&width=360&height=300
                  - rel: chart-lg
                    href: https://component.autochartist.com/ma/resources/charts/ConsecutiveCandles_607233189843523105.png?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb&width=430&height=300
                  - rel: icon-arrow
                    href: https://component.autochartist.com/ma/resources/results/../graphics/icons/arrow_complete_down.png?account_type=LIVE&include_drawing=true&broker_id=916&expire=1765576800&include_detail=true&width=16&locale=en&user=iazbel@onezero.com&token=0269f1f4344e48057ef85f933fb235cb&height=16
                links:
                - rel: detail_path
                  href: https://component.autochartist.com/ma/resources/results
  /ma/resources/results/detail/:type/:uid:
    get:
      tags:
      - Market Alerts
      summary: Get pattern result details
      description: "Returns details of a pattern result item.\n\n#### Return format\n\n- **Status 200** - application/json\
        \ - latest pattern results.\n    \n- The JSON object includes the following keys:\n    \n    - **page** - pagination\
        \ configuration for pagination links.\n        \n    - **items** - a list of pattern result items.\n        \n   \
        \     - **new** - indicate whether the data has been updated since the last request if any.\n            \n      \
        \  - **data** - pattern result item. See \"Fields\" below.\n            \n        - **links** - an array of HATEOAS\
        \ links for chart pattern images of different sizes displaying the price graph for the pattern result.\n         \
        \   \n\n#### Fields\n\nBelow are the return fields. There are fields that are common to all analysis types, and some\
        \ fields that are specific to each analysis type.\n\n##### Common fields\n\n- **symbol** - The TICKER on which this\
        \ trade setup was identified\n    \n- **exchange** - The exchange to which this instrument belongs\n    \n- **short_name**\
        \ - The short name of the symbol\n    \n- **long_name** - The long name of the symbols\n    \n- **age** - The age\
        \ (in candles) of the trade setup\n    \n- **complete** - Is this trade fully formed or still in the process of forming.\n\
        \    \n- **direction** - Direction of forecast\n    \n- **granularity** - Data interval on which this setup was identified\n\
        \    \n- **forecast_minutes** - The forecast in minutes\n    \n- **is_new** - Is this a new setup since the last call\
        \ to the API\n    \n- **length** - the length of this trade setup in candles\n    \n- **pattern_start_time** - The\
        \ first candle in this trade setup\n    \n- **pattern_end_time** - The last candle in this trade setup. Ignore if\
        \ complete == false.\n    \n- **pattern_name** - The name of the pattern that was identified\n    \n- **relevant**\
        \ - 1 = this trade setup is still relevant. 0 = trade expired\n    \n- **result_uid** - unique identifier of a result\n\
        \    \n- **prediction_pip_profit** - Internal. Ignore\n    \n- **use_relevance_logic** - Internal. Ignore\n    \n\
        - **pattern_id** - Internal. Ignore\n    \n- **symbol_id** - Internal symbol code. Ignore\n    \n\n#### Requires authentication\n\
        \nA valid request with an authorized MD5 token will be accepted."
      parameters:
      - name: broker_id
        in: query
        schema:
          type: string
        description: Broker ID.
        example: '{{broker_id}}'
      - name: token
        in: query
        schema:
          type: string
        description: Security token. See https://support.autochartist.com/en/knowledgebase/article/security-token-generation
        example: '{{token}}'
      - name: user
        in: query
        schema:
          type: string
        description: Username
        example: '{{user}}'
      - name: expire
        in: query
        schema:
          type: string
        description: Expiry of this link as a unix timestamp
        example: '{{expire}}'
      - name: account_type
        in: query
        schema:
          type: string
        description: DEMO or LIVE
        example: '{{account_type}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              examples:
                big_movement:
                  summary: Big Movement
                  value:
                    new: false
                    data:
                      from_price: 0.65315
                      to_price: 0.64757
                      movement: -0.9074216
                      statistical_movement: -0.71224207
                      percentile: 2
                      symbol: NZDCHF
                      granularity: 60
                      direction: 0
                      length: 14
                      complete: false
                      exchange: FOREX
                      age: 4
                      relevant: 0
                      pattern_id: 0
                      symbol_id: 866795
                      long_name: NZDCHF
                      short_name: NZDCHF
                      pattern_end_time: '2021-09-24T14:00:00.000Z'
                      pattern_start_time: '2021-09-24T00:00:00.000Z'
                      pattern_name: Big Movement
                      result_uid: 744377188
                      is_new: false
                      prediction_pip_profit: 0
                      use_relevance_logic: false
                      forecast_minutes: 279
                    links:
                    - rel: chart-xs
                      href: https://component.autochartist.com/to/resources/charts/BigMovement_744377188.png?account_type=LIVE&broker_id=24&expire=1634947200&page_offset=20&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578&width=240&height=180
                    - rel: chart-sm
                      href: https://component.autochartist.com/to/resources/charts/BigMovement_744377188.png?account_type=LIVE&broker_id=24&expire=1634947200&page_offset=20&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578&width=340&height=240
                    - rel: chart-md
                      href: https://component.autochartist.com/to/resources/charts/BigMovement_744377188.png?account_type=LIVE&broker_id=24&expire=1634947200&page_offset=20&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578&width=360&height=300
                    - rel: chart-lg
                      href: https://component.autochartist.com/to/resources/charts/BigMovement_744377188.png?account_type=LIVE&broker_id=24&expire=1634947200&page_offset=20&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578&width=430&height=300
                    - rel: drawing-data
                      href: https://component.autochartist.com/to/resources/results/detail/drawing-data/BigMovement/744377188?account_type=LIVE&broker_id=24&broker_id=24&broker_id=24&expire=1634947200&page_offset=20&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578
                consecutivecandles:
                  summary: ConsecutiveCandles
                  value:
                    new: false
                    data:
                      from_price: 118.54
                      to_price: 119.724
                      qty_candles: 10
                      statistical_qty_candles: 5
                      percentile: 0.95
                      symbol: CHFJPY
                      granularity: 240
                      direction: -1
                      length: 10
                      complete: false
                      exchange: FOREX
                      age: 0
                      relevant: 1
                      pattern_id: 0
                      symbol_id: 866803
                      long_name: CHFJPY
                      short_name: CHFJPY
                      pattern_end_time: '2021-09-24T12:00:00.000Z'
                      pattern_start_time: '2021-09-23T00:00:00.000Z'
                      pattern_name: Consecutive Candles
                      result_uid: 744407624
                      is_new: false
                      prediction_pip_profit: 0
                      use_relevance_logic: false
                      forecast_minutes: 240
                    links:
                    - rel: chart-xs
                      href: https://component.autochartist.com/to/resources/charts/ConsecutiveCandles_744407624.png?account_type=LIVE&broker_id=24&expire=1634947200&page_offset=60&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578&width=240&height=180
                    - rel: chart-sm
                      href: https://component.autochartist.com/to/resources/charts/ConsecutiveCandles_744407624.png?account_type=LIVE&broker_id=24&expire=1634947200&page_offset=60&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578&width=340&height=240
                    - rel: chart-md
                      href: https://component.autochartist.com/to/resources/charts/ConsecutiveCandles_744407624.png?account_type=LIVE&broker_id=24&expire=1634947200&page_offset=60&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578&width=360&height=300
                    - rel: chart-lg
                      href: https://component.autochartist.com/to/resources/charts/ConsecutiveCandles_744407624.png?account_type=LIVE&broker_id=24&expire=1634947200&page_offset=60&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578&width=430&height=300
                    - rel: drawing-data
                      href: https://component.autochartist.com/to/resources/results/detail/drawing-data/ConsecutiveCandles/744407624?account_type=LIVE&broker_id=24&broker_id=24&broker_id=24&expire=1634947200&page_offset=60&locale=en&user=ilan@autochartist.com&token=94dc5016725926907fdfdd9410a46578
  /ma/resources/results/detail/drawing-data/:type/:uid:
    get:
      tags:
      - Market Alerts
      summary: Get pattern result drawing data
      description: "Returns details of a pattern result item.\n\n#### Return format\n\n- **Status 200** - application/json\
        \ - latest pattern results.\n\n- The JSON object includes the following keys:\n   - **page** - pagination configuration\
        \ for pagination links.\n   - **items** - a list of pattern result items.\n      - **new** - indicate whether the\
        \ data has been updated since the last request if any.\n      - **data** - pattern result item. See \"Fields\" below.\n\
        \      - **links** - an array of HATEOAS links for chart pattern images of different sizes displaying the price graph\
        \ for the pattern result.\n\n#### Fields\nBelow are the return fields. There are fields that are common to all analysis\
        \ types, and some fields that are specific to each analysis type.\n\n##### Common fields\n- **timeZone** - Timezone\
        \ of the timestamps in the resultset\n- **symbol** -  The TICKER\n- **chartType** - The type (for example Chart Pattern)\n\
        - **interval** - Data interval on which this setup was identified\n- **length** - the length of this trade setup in\
        \ candles\n- **direction** -  Direction of forecast\n- **priceRange** - the range of prices in this chart\n   - **low**\
        \ - the lowest price\n   - **to** - the highest price\n- **timeFrame** - the time frame this trade setup spans\n \
        \  - **from** - the first date in the range\n   - **to** - the last date in the range\n- **originalLines** - Internal.\
        \ Ignore.\n- **lines** - an array of lines that need to be drawn\n   - **x1** - timestamp of first point\n   - **y1**\
        \ - price of first point\n   - **x2** - timestamp of second point\n   - **y2** - price of second point\n   - **name**\
        \ - logical name of this line (if applicable to this trade setup)\n   - **point1Name** - logical name of first point\
        \ (if applicable to this trade setup)\n   - **point2Name** - logical name of second point (if applicable to this trade\
        \ setup)\n- **forecast** - an array of lines that need to be drawn to represent the forecast\n   - **x1** - timestamp\
        \ of first point\n   - **y1** - price of first point\n   - **x2** - timestamp of second point\n   - **y2** - price\
        \ of second point\n   - **name** - logical name of this line (if applicable to this trade setup)\n   - **point1Name**\
        \ - logical name of first point (if applicable to this trade setup)\n   - **point2Name** - logical name of second\
        \ point (if applicable to this trade setup)\n- **eventLine** - a vertical line representing the time of the event\n\
        \   - **x1** - timestamp of first point\n   - **y1** - price of first point\n   - **x2** - timestamp of second point\n\
        \   - **y2** - price of second point\n   - **name** - logical name of this line (if applicable to this trade setup)\n\
        \   - **point1Name** - logical name of first point (if applicable to this trade setup)\n   - **point2Name** - logical\
        \ name of second point (if applicable to this trade setup)\n- **arrow** - an array of lines that represent arrows\
        \ that show the forecast direction\n   - **x1** - timestamp of first point\n   - **y1** - price of first point\n \
        \  - **x2** - timestamp of second point\n   - **y2** - price of second point\n   - **name** - logical name of this\
        \ line (if applicable to this trade setup)\n   - **point1Name** - logical name of first point (if applicable to this\
        \ trade setup)\n   - **point2Name** - logical name of second point (if applicable to this trade setup)\n- **predictionRectangle**\
        \ - an array of lines that represent the forecast region\n   - **x1** - timestamp of first point\n   - **y1** - price\
        \ of first point\n   - **x2** - timestamp of second point\n   - **y2** - price of second point\n   - **name** - logical\
        \ name of this line (if applicable to this trade setup)\n   - **point1Name** - logical name of first point (if applicable\
        \ to this trade setup)\n   - **point2Name** - logical name of second point (if applicable to this trade setup)\n\n\
        \n#### Requires authentication\nA valid request with an authorized MD5 token will be accepted."
      parameters:
      - name: ''
        in: header
        schema:
          type: string
      - name: broker_id
        in: query
        schema:
          type: string
        description: Broker ID.
        example: '{{broker_id}}'
      - name: token
        in: query
        schema:
          type: string
        description: Security token. See https://support.autochartist.com/en/knowledgebase/article/security-token-generation
        example: '{{token}}'
      - name: user
        in: query
        schema:
          type: string
        description: Username
        example: '{{user}}'
      - name: expire
        in: query
        schema:
          type: string
        description: Expiry of this link as a unix timestamp
        example: '{{expire}}'
      - name: account_type
        in: query
        schema:
          type: string
        description: DEMO or LIVE
        example: '{{account_type}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              examples:
                big_movement:
                  summary: Big Movement
                  value:
                    chartType: BIG_MOVEMENT
                    interval: 60
                    length: 41
                    direction: BULLISH
                    priceRange:
                      low: 109.11
                      to: 110.2
                    timeFrame:
                      from: 1632268800
                      to: 1632416400
                    originalLines: []
                    lines:
                    - x1: 1632268800
                      x2: 1632416400
                      y1: 110.2
                      y2: 110.2
                      name: Rectangle
                      point1Name: null
                      point2Name: null
                    - x1: 1632416400
                      x2: 1632416400
                      y1: 110.2
                      y2: 109.11
                      name: Rectangle
                      point1Name: null
                      point2Name: null
                    - x1: 1632416400
                      x2: 1632268800
                      y1: 109.11
                      y2: 109.11
                      name: Rectangle
                      point1Name: null
                      point2Name: null
                    - x1: 1632268800
                      x2: 1632268800
                      y1: 109.11
                      y2: 110.2
                      name: Rectangle
                      point1Name: null
                      point2Name: null
                    forecast: null
                    eventLine:
                      x1: 1632416400
                      x2: 1632416400
                      y1: 111.29
                      y2: 108.02
                      name: Event Line
                      point1Name: null
                      point2Name: null
                    arrow:
                    - x1: 1632416400
                      x2: 1632430800
                      y1: 110.169
                      y2: 110.714
                      name: Arrow Line
                      point1Name: null
                      point2Name: null
                    predictionRectangle: null
                    timeZone: America/New_York
                    symbol: USDJPY
                consecutive_candles:
                  summary: Consecutive Candles
                  value:
                    chartType: CONSECUTIVE_CANDLES
                    interval: 240
                    length: 9
                    direction: BEARISH
                    priceRange:
                      low: 118.38
                      to: 119.74015
                    timeFrame:
                      from: 1632355200
                      to: 1632470400
                    originalLines: []
                    lines:
                    - x1: 1632355200
                      x2: 1632470400
                      y1: 119.74015
                      y2: 119.74015
                      name: Rectangle
                      point1Name: null
                      point2Name: null
                    - x1: 1632470400
                      x2: 1632470400
                      y1: 119.74015
                      y2: 118.38
                      name: Rectangle
                      point1Name: null
                      point2Name: null
                    - x1: 1632470400
                      x2: 1632355200
                      y1: 118.38
                      y2: 118.38
                      name: Rectangle
                      point1Name: null
                      point2Name: null
                    - x1: 1632355200
                      x2: 1632355200
                      y1: 118.38
                      y2: 119.74015
                      name: Rectangle
                      point1Name: null
                      point2Name: null
                    forecast: null
                    eventLine:
                      x1: 1632470400
                      x2: 1632470400
                      y1: 121.1003
                      y2: 117.01985
                      name: Event Line
                      point1Name: null
                      point2Name: null
                    arrow:
                    - x1: 1632470400
                      x2: 1632510000
                      y1: 119.53
                      y2: 118.84993
                      name: Arrow Line
                      point1Name: null
                      point2Name: null
                    predictionRectangle: null
                    timeZone: America/New_York
                    symbol: CHFJPY
  /ma/charts/:type_uid.png:
    get:
      tags:
      - Market Alerts
      summary: Get Chart Image
      description: 'Returns latest group pattern results for a specific broker. The pattern results are cached at every 5
        minutes interval.


        ###### Return format


        Image in image/png format.


        ###### Requires authentication


        A valid request with an authorized MD5 token will be accepted.'
      parameters:
      - name: account_type
        in: query
        schema:
          type: string
        description: DEMO or LIVE
        example: '{{account_type}}'
      - name: broker_id
        in: query
        schema:
          type: string
        description: Broker ID.
        example: '{{broker_id}}'
      - name: expire
        in: query
        schema:
          type: string
        description: Expiry of this link as a unix timestamp.
        example: '{{expire}}'
      - name: locale
        in: query
        schema:
          type: string
        description: Locale language tag.
        example: '{{locale}}'
      - name: user
        in: query
        schema:
          type: string
        description: Username
        example: '{{user}}'
      - name: token
        in: query
        schema:
          type: string
        description: Security token. See https://support.autochartist.com/en/knowledgebase/article/security-token-generation
        example: '{{token}}'
      - name: width
        in: query
        schema:
          type: integer
        description: 'Chart image width in px.

          Default is 320px.'
        example: '320'
      - name: height
        in: query
        schema:
          type: integer
        description: 'Chart image height in px.

          Default is 240px.'
        example: '240'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
tags:
- name: Market Alerts
